GNU bug report logs - #52779
tests/no-home test failure in Shepherd

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; dated Fri, 24 Dec 2021 14:53:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 52779 <at> debbugs.gnu.org:


Received: (at 52779) by debbugs.gnu.org; 13 Jan 2022 15:37:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 10:37:57 2022
Received: from localhost ([127.0.0.1]:34313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n82An-0005Hp-40
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 10:37:57 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:59924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1n82Ak-0005HW-2H
 for 52779 <at> debbugs.gnu.org; Thu, 13 Jan 2022 10:37:55 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 8285A2A0;
 Thu, 13 Jan 2022 16:37:47 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id LUpf6HjLM18y; Thu, 13 Jan 2022 16:37:46 +0100 (CET)
Received: from ribbon (91-160-117-201.subs.proxad.net [91.160.117.201])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 1D4841DC;
 Thu, 13 Jan 2022 16:37:46 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#52779: tests/no-home test failure in Shepherd
References: <87h7ayys14.fsf@HIDDEN>
Date: Thu, 13 Jan 2022 16:37:45 +0100
In-Reply-To: <87h7ayys14.fsf@HIDDEN> (Maxim Cournoyer's message of "Fri, 24
 Dec 2021 09:52:07 -0500")
Message-ID: <87ee5b7ik6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spamd-Bar: /
Authentication-Results: hera.aquilenet.fr;
	none
X-Rspamd-Server: hera
X-Rspamd-Queue-Id: 8285A2A0
X-Spamd-Result: default: False [-0.10 / 15.00]; ARC_NA(0.00)[];
 RCVD_VIA_SMTP_AUTH(0.00)[]; FROM_HAS_DN(0.00)[];
 TO_DN_SOME(0.00)[]; FREEMAIL_ENVRCPT(0.00)[gmail.com];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; TAGGED_RCPT(0.00)[];
 MIME_GOOD(-0.10)[multipart/mixed,text/plain,text/x-patch];
 RCPT_COUNT_TWO(0.00)[2]; FREEMAIL_TO(0.00)[gmail.com];
 FROM_EQ_ENVFROM(0.00)[]; MIME_TRACE(0.00)[0:+,1:+,2:+,3:+];
 RCVD_COUNT_TWO(0.00)[2]; RCVD_TLS_ALL(0.00)[];
 MID_RHS_MATCH_FROM(0.00)[]
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 52779
Cc: 52779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> + herd -s t-socket-1651 status root
> Started:
>  + root
> + herd -s t-socket-1651 stop root
> ++ cat t-pid-1651
> + kill 1896
> + exit 1
> + rm -f t-socket-1651
> + test -f t-pid-1651
> ++ cat t-pid-1651
> + kill 1896
> + rm -f t-pid-1651
> FAIL tests/no-home.sh (exit status: 1)

What happens here is that the shepherd process is still alive after
=E2=80=98herd stop root=E2=80=99 has completed, contrary to what=E2=80=99s =
expected:

--8<---------------cut here---------------start------------->8---
$herd stop root

if kill `cat "$pid"`
then
    exit 1
fi
--8<---------------cut here---------------end--------------->8---

The expectation is that shepherd has terminated by the time =E2=80=98herd s=
top
root=E2=80=99 exits; I wonder if that=E2=80=99s bogus.

=E2=80=98herd stop root=E2=80=99 terminates when shepherd has closed its co=
nnection,
which normally happens when shepherd exits:

--8<---------------cut here---------------start------------->8---
28003 read(15, "(shepherd-command (version 0) (action stop) (service root) =
(arguments ()) (directory \"/data/src/shepherd\"))", 1024) =3D 107
28003 brk(0x1030000)                    =3D 0x1030000
28003 mmap(NULL, 262144, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|MAP_AN=
ONYMOUS, -1, 0) =3D 0x7f0072be8000
28003 brk(0x100f000)                    =3D 0x100f000
28003 getcwd("/data/src/shepherd", 100) =3D 19
28003 chdir("/data/src/shepherd")       =3D 0
28003 newfstatat(AT_FDCWD, "/etc/localtime", {st_mode=3DS_IFREG|0444, st_si=
ze=3D2962, ...}, 0) =3D 0
28003 write(7, "2022-01-13 16:21:16 Exiting shepherd...\n", 40) =3D 40
28003 chdir("/data/src/shepherd")       =3D 0
28003 getuid()                          =3D 1000
28003 close(13)                         =3D 0
28003 unlink("test")                    =3D 0
28003 exit_group(0)                     =3D ?
28006 <... futex resumed>)              =3D ?
28008 <... read resumed> <unfinished ...>) =3D ?
28005 <... futex resumed>)              =3D ?
28004 <... futex resumed>)              =3D ?
28008 +++ exited with 0 +++
28006 +++ exited with 0 +++
28005 +++ exited with 0 +++
28004 +++ exited with 0 +++
28003 +++ exited with 0 +++
--8<---------------cut here---------------end--------------->8---

Maybe there=E2=80=99s a chance that the shell hasn=E2=80=99t processed the =
shepherd=E2=80=99s
SIGCHLD when it evaluates the =E2=80=9Cif kill `cat "$pid"`=E2=80=9D condit=
ion; in that
case, the shepherd process still exists as a zombie.

A more robust approach might be to use the shell=E2=80=99s builtin =E2=80=
=98wait=E2=80=99,
because then I suppose the shell will be forced to process pending
SIGCHLDs:


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

diff --git a/tests/no-home.sh b/tests/no-home.sh
index 85b6116..5a8c278 100644
--- a/tests/no-home.sh
+++ b/tests/no-home.sh
@@ -1,5 +1,5 @@
 # GNU Shepherd --- Make sure shepherd doesn't fail when $HOME is not writa=
ble.
-# Copyright =C2=A9 2014, 2016 Ludovic Court=C3=A8s <ludo@HIDDEN>
+# Copyright =C2=A9 2014, 2016, 2022 Ludovic Court=C3=A8s <ludo@HIDDEN>
 #
 # This file is part of the GNU Shepherd.
 #
@@ -46,7 +46,4 @@ kill -0 `cat "$pid"`
 $herd status root
 $herd stop root
=20
-if kill `cat "$pid"`
-then
-    exit 1
-fi
+wait `cat "$pid"`

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


I can=E2=80=99t get it to fail while waiting for a few minutes of:

  while make check TESTS=3Dtests/no-home.sh ; do : ; done

=E2=80=A6 but I cannot get the original one to fail either.

Does it work for you?

Ludo=E2=80=99.

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#52779; Package guix. Full text available.

Message received at 52779 <at> debbugs.gnu.org:


Received: (at 52779) by debbugs.gnu.org; 10 Jan 2022 18:18:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 10 13:18:01 2022
Received: from localhost ([127.0.0.1]:53295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6zF3-0005a8-K9
	for submit <at> debbugs.gnu.org; Mon, 10 Jan 2022 13:18:01 -0500
Received: from mail-qt1-f169.google.com ([209.85.160.169]:39819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1n6zF1-0005Zw-P4
 for 52779 <at> debbugs.gnu.org; Mon, 10 Jan 2022 13:18:00 -0500
Received: by mail-qt1-f169.google.com with SMTP id bp39so15241125qtb.6
 for <52779 <at> debbugs.gnu.org>; Mon, 10 Jan 2022 10:17:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version; bh=ZLsQx2WBorVKufD3dTMqYW7dAVZknUO/yfAILUdMLTA=;
 b=Ca0F4XetejZutgyJR5uDJavQgc6QKHgj/pbiScR+hC0i3jtZaJxiYvTinvGwfPrXdU
 UsDyyE9KHGEFm90FUwIl6J9HLqELAR2BHt7KpRsqc7V+/oM2XI5o06PoUiZMb+QJAXFW
 dq/+KAHSj+HedwhHpCUpKFvxfi23T+x5X7NG5Sj9NXhWqz8u1WlbeZV0fq/uMEAIDSha
 icVIwmpKHTgqo4K++53ja4aPbRk+qnunagMyuks6FYwv1Q6nkloTGOT7nUtIOBkQUAXz
 yb1ZI6c/hQ2OmscbKy61tHe7+5XiBgBhRhB+YY9x0n9PjmEDrn5hcP98E8cF89xEgc+m
 5+bg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ZLsQx2WBorVKufD3dTMqYW7dAVZknUO/yfAILUdMLTA=;
 b=pIHTGHt5qGpYBA5caMrBFLme3WC9qMxhS6qaOwVLQbh5Kk9oTJ3PRO9eAvMsXrqJJB
 vtlIO/+Ys6wnDOW1hZnv2um0qyjOUaFXr+X6J1Knqj5Y29mVVz2RO05/3ZEiUVgMigtz
 N1rwoxhLaucVm9TgHZMcWZyY4opwCKLC6M5s422fQPqr48HKzuG3PC47HC7zwCK0nEui
 u2zHWJ14B/tr4nGDzbkrqbtP8cBU/zTqO3HNG0kccXEKq7rSwNpdjOHG8EbyB9VbpJYx
 wCbsI9ydoiJqwhYnWs696Zg3xAEPDiTOdE986D5FpoIkx7+YCG/5TYHADKGHs45wo+FZ
 QUcg==
X-Gm-Message-State: AOAM530VUChHjYZB3fd5rUkuBn131evM4e3ykp/utXzKxcYd64RpuiH6
 6Dj/9Qte3Coxa+5PiCZIMtPpmrFl8Gw=
X-Google-Smtp-Source: ABdhPJw+TAk2j1oZpRpfyvwbRRjene3kLaScq9JdtshmRSV3H9j8Se99gBwR1ruNnoJFsxhStP3V5g==
X-Received: by 2002:ac8:5c8e:: with SMTP id r14mr876104qta.42.1641838674145;
 Mon, 10 Jan 2022 10:17:54 -0800 (PST)
Received: from hurd (dsl-205-151-56-104.b2b2c.ca. [205.151.56.104])
 by smtp.gmail.com with ESMTPSA id q7sm4901819qkl.72.2022.01.10.10.17.53
 for <52779 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 10 Jan 2022 10:17:53 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 52779 <at> debbugs.gnu.org
Subject: Re: bug#52779: tests/no-home test failure in Shepherd
References: <87h7ayys14.fsf@HIDDEN> <87h7akv851.fsf@HIDDEN>
Date: Mon, 10 Jan 2022 13:17:52 -0500
In-Reply-To: <87h7akv851.fsf@HIDDEN> (Maxim Cournoyer's message of "Mon, 03
 Jan 2022 16:09:30 -0500")
Message-ID: <87ilurpi9b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52779
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Hi,
>
> Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:
>
>> Hello Guix,
>>
>> I encountered the following (nondeterministic) test failure:
>>
>> # TOTAL: 13
>> # PASS:  12
>> # SKIP:  0
>> # XFAIL: 0
>> # FAIL:  1
>> # XPASS: 0
>> # ERROR: 0
>>
>> .. contents:: :depth: 2
>>
>> FAIL: tests/no-home
>> ===================

[...]

I tried to reproduce this is a controlled setting, using the 'stress'
command to effect a high load on the system, but in vain.

I could only trigger the problem on a highly parallel CPU (24 logical
cores) busy building 10s of Guix packages at the same time.

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#52779; Package guix. Full text available.

Message received at 52779 <at> debbugs.gnu.org:


Received: (at 52779) by debbugs.gnu.org; 3 Jan 2022 21:09:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 03 16:09:41 2022
Received: from localhost ([127.0.0.1]:36386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n4UaL-0008F8-G6
	for submit <at> debbugs.gnu.org; Mon, 03 Jan 2022 16:09:41 -0500
Received: from mail-qt1-f181.google.com ([209.85.160.181]:43592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1n4UaI-0008En-4E
 for 52779 <at> debbugs.gnu.org; Mon, 03 Jan 2022 16:09:40 -0500
Received: by mail-qt1-f181.google.com with SMTP id q14so32010668qtx.10
 for <52779 <at> debbugs.gnu.org>; Mon, 03 Jan 2022 13:09:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version; bh=GWZbLiSForI6ZWHpCXTHwv0ZWV/RRgAoQ5RO0J23WQU=;
 b=BXqm1QA7SjLeRp16ijLP0iZz/l08qrzeDDYxTAXOfTu29AvLv6wEhJaqveOxixYQtE
 QonbvGj3cIEYfjf2Wegdl97gzxAUTaLH6vBN+LAPma7NzGR5RKZhsRruaWnFMsZTf2a5
 +sK5HBTLK6hWd8Sa4nbLXJeV6BjsPYUB8mW+D4Sub/0qxqESw2FW9vIN5VBYhJXja3Pm
 ZUZmEAgtiEJg7JeC5qblp2IvUtLInlm8olzVdhY7shrWtVbdNubJJsZbcckVa5My0+DC
 lXqeVdmTcJJDGvtm8Gvioy0zmiQBQ2Q0ZqYngqlzCL6CnQEXM8r14rtMcCUYdR9z4MsC
 eqYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=GWZbLiSForI6ZWHpCXTHwv0ZWV/RRgAoQ5RO0J23WQU=;
 b=SErDnRVtip8S7czF8c2/qPbnuwNwfJqQ/yxrO6+qaLTvdKcZLdWV5AlrPQi8rgNyHF
 y+2mz1VJDgZVpU/XuAEJmYiNFFubYE0lY3VPBGn9k9nKmLcOdu4ShvyGskSvHjphuVFe
 QWH7FIhPS3+1orGkxys9Xvq+Qa8i/SWFDZtCAFVTYB/ROgpHOVD8FE4HXLfKZ1KOF9xK
 40eD9jCkHVp49ly65bXBnuK8mIW6/xJPi7Lne1O+ur38YzSl2IcqcmzHaEl5xWHAp9QF
 SKABilAczqtQ1vaZ00gjSzz+0qF45+lVSGpREkYXkkx7tR6T+62ltGsmd3ynT36WWDdI
 Ll1w==
X-Gm-Message-State: AOAM531HuLB2VKGJlqkf63nKZQP8ipPVP1uPIUOKHadh9NL1wUToHLT6
 kpn7dZmM/iNlr16f0BTRm6Mone4fCBQ=
X-Google-Smtp-Source: ABdhPJx7x++ivGAfFiJdG6cKYAmkJTimhMGWuB9G6G1QejPxj7zVg86tgAg0+a03iWmxnWW69ghItg==
X-Received: by 2002:ac8:544a:: with SMTP id d10mr42311101qtq.675.1641244172338; 
 Mon, 03 Jan 2022 13:09:32 -0800 (PST)
Received: from hurd (dsl-152-60.b2b2c.ca. [66.158.152.60])
 by smtp.gmail.com with ESMTPSA id m1sm30127607qkn.115.2022.01.03.13.09.31
 for <52779 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 03 Jan 2022 13:09:31 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 52779 <at> debbugs.gnu.org
Subject: Re: bug#52779: tests/no-home test failure in Shepherd
References: <87h7ayys14.fsf@HIDDEN>
Date: Mon, 03 Jan 2022 16:09:30 -0500
In-Reply-To: <87h7ayys14.fsf@HIDDEN> (Maxim Cournoyer's message of "Fri, 24
 Dec 2021 09:52:07 -0500")
Message-ID: <87h7akv851.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52779
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Hello Guix,
>
> I encountered the following (nondeterministic) test failure:
>
> # TOTAL: 13
> # PASS:  12
> # SKIP:  0
> # XFAIL: 0
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0
>
> .. contents:: :depth: 2
>
> FAIL: tests/no-home
> ===================
>
> + shepherd --version
> shepherd (GNU Shepherd) 0.8.1
> Copyright (C) 2020 the Shepherd authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> + HOME=/nowhere
> + export HOME
> + test -w /nowhere
> + socket=t-socket-1651
> + pid=t-pid-1651
> + herd='herd -s t-socket-1651'
> + trap 'rm -f t-socket-1651;
>       test -f t-pid-1651 && kill `cat t-pid-1651` || true; rm -f t-pid-1651' EXIT
> + shepherd_pid=1896
> + test -f t-pid-1651
> + shepherd -I -s t-socket-1651 -c /dev/null -l /dev/null --pid=t-pid-1651
> + kill -0 1896
> + sleep 0.3
> Service root has been started.
> + test -f t-pid-1651
> ++ cat t-pid-1651
> + kill -0 1896
> + herd -s t-socket-1651 status root
> Started:
>  + root
> + herd -s t-socket-1651 stop root
> ++ cat t-pid-1651
> + kill 1896
> + exit 1
> + rm -f t-socket-1651
> + test -f t-pid-1651
> ++ cat t-pid-1651
> + kill 1896
> + rm -f t-pid-1651
> FAIL tests/no-home.sh (exit status: 1)
>
>
> error: in phase 'check': uncaught exception:
> %exception #<&invoke-error program: "make" arguments: ("check" "-j" "24" "GUILE_AUTO_COMPILE=0") exit-status: 2 term-signal: #f stop-signal: #f> 
> phase `check' failed after 15.3 seconds
> command "make" "check" "-j" "24" "GUILE_AUTO_COMPILE=0" failed with status 2
>
> Perhaps due to high load, as I can't seem to reproduce when building
> Shepherd alone.

I encountered the problem once more; the errors are slightly different
so I'm pasting the failed test output here:

--8<---------------cut here---------------end--------------->8---
FAIL: tests/no-home
===================

+ shepherd --version
shepherd (GNU Shepherd) 0.8.1
Copyright (C) 2020 the Shepherd authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ HOME=/nowhere
+ export HOME
+ test -w /nowhere
+ socket=t-socket-1606
+ pid=t-pid-1606
+ herd='herd -s t-socket-1606'
+ trap 'rm -f t-socket-1606;
      test -f t-pid-1606 && kill `cat t-pid-1606` || true; rm -f t-pid-1606' EXIT
+ shepherd_pid=1868
+ test -f t-pid-1606
+ shepherd -I -s t-socket-1606 -c /dev/null -l /dev/null --pid=t-pid-1606
+ kill -0 1868
+ sleep 0.3
Service root has been started.
+ test -f t-pid-1606
++ cat t-pid-1606
+ kill -0 1868
+ herd -s t-socket-1606 status root
Started:
 + root
+ herd -s t-socket-1606 stop root
++ cat t-pid-1606
+ kill 1868
+ exit 1
+ rm -f t-socket-1606
+ test -f t-pid-1606
++ cat t-pid-1606
+ kill 1868
./tests/no-home.sh: line 2: kill: (1868) - No such process
+ true
+ rm -f t-pid-1606
FAIL tests/no-home.sh (exit status: 1)


error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("check" "-j" "24" "GUILE_AUTO_COMPILE=0") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `check' failed after 15.6 seconds
command "make" "check" "-j" "24" "GUILE_AUTO_COMPILE=0" failed with status 2
--8<---------------cut here---------------end--------------->8---

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#52779; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2021 14:52:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 09:52:19 2021
Received: from localhost ([127.0.0.1]:35954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0lve-0005O4-Q6
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 09:52:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:34532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1n0lva-0005No-UV
 for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 09:52:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52622)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1n0lvZ-0007Wa-6P
 for bug-guix@HIDDEN; Fri, 24 Dec 2021 09:52:14 -0500
Received: from [2607:f8b0:4864:20::735] (port=40621
 helo=mail-qk1-x735.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1n0lvW-0008B6-4s
 for bug-guix@HIDDEN; Fri, 24 Dec 2021 09:52:12 -0500
Received: by mail-qk1-x735.google.com with SMTP id w27so2375753qkj.7
 for <bug-guix@HIDDEN>; Fri, 24 Dec 2021 06:52:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=trlM8cnK342dKWcHS7pahXIAfFF3ZjlPY4QVEm5fCu4=;
 b=GvT+90o6kcHdkOvH9ThKRU7RvfLmOeCAzcZmLm4fGyP+cuEtynUDnNZrWBQeQ87Ee9
 t+949w02gWPG0VzDgw5lb6u+nSIRSBhePQbTYsMch6gnqUwx385bV/E2BuCOrqqPYejU
 sS+4DB89xtwnc3Amc8lM70fOcajBCdSCZLDVuCyAM8q8Wp/9K3Dyb0ynUYnvbZjUDkcy
 yfKZNIFobJe+au2Wx8oPUZUZQOaGPnuraCEXH8B8QodXjfxUWzUXR6bU99gmQbpOfZAl
 xjAtlatL9NK9k7S10fGhcSlipg/7qjVoa36VCcheUSGfZZIoFuEbFoXYE+N6rp08L3bs
 hACg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=trlM8cnK342dKWcHS7pahXIAfFF3ZjlPY4QVEm5fCu4=;
 b=lzPO6akScNSRlI4viGNFpYFxoeHMtE932tdaJB5D3U22iGQHm/A9LKhh8YDZVnCvQs
 FYM62VG2UpZ++aIlCYnmBIo+wnf13thbH6WO14dyJhqZHSCNWVd5tA5qze+unv/4rTKc
 Q6ya578JC8kXizIaMttZKZFctMsSn9Lbj+wLODj9bhL9dXKDz6++lobbSGgwhIGk/JD2
 X0E8OujEWkbXwXnV+B9SuoQqdeRnSXne+2Dy+X8Z6fMKw79lne4t+1lxOpZNOH5u/xd0
 XJbh8IlWP9lfppiMEUyPLoByR4PaE3DfdsOE28UXEzLhiA873gIS8qcjAjiSPzPxQWif
 4IKA==
X-Gm-Message-State: AOAM530AxH1Fl2ZJFRrnujwwcRyAL+ZzRVQr7I0PhZNi68FOKgd2ycX5
 4G+VmHVzCGmtjbIEd4CPXY3PySRo2LA=
X-Google-Smtp-Source: ABdhPJwp1Xk2eqaNEHpJR+Wk3ZoJsXXvj+VDiTsbQIBNv+8ziNJVRkqqycy7McRHh2xLucYxPvIUSA==
X-Received: by 2002:a37:f619:: with SMTP id y25mr4939624qkj.201.1640357528703; 
 Fri, 24 Dec 2021 06:52:08 -0800 (PST)
Received: from hurd (dsl-10-129-179.b2b2c.ca. [72.10.129.179])
 by smtp.gmail.com with ESMTPSA id a76sm3192164qkg.114.2021.12.24.06.52.08
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 24 Dec 2021 06:52:08 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: bug-guix <bug-guix@HIDDEN>
Subject: tests/no-home test failure in Shepherd
Date: Fri, 24 Dec 2021 09:52:07 -0500
Message-ID: <87h7ayys14.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::735
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::735;
 envelope-from=maxim.cournoyer@HIDDEN; helo=mail-qk1-x735.google.com
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello Guix,

I encountered the following (nondeterministic) test failure:

--8<---------------cut here---------------start------------->8---
# TOTAL: 13
# PASS:  12
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: tests/no-home
===================

+ shepherd --version
shepherd (GNU Shepherd) 0.8.1
Copyright (C) 2020 the Shepherd authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ HOME=/nowhere
+ export HOME
+ test -w /nowhere
+ socket=t-socket-1651
+ pid=t-pid-1651
+ herd='herd -s t-socket-1651'
+ trap 'rm -f t-socket-1651;
      test -f t-pid-1651 && kill `cat t-pid-1651` || true; rm -f t-pid-1651' EXIT
+ shepherd_pid=1896
+ test -f t-pid-1651
+ shepherd -I -s t-socket-1651 -c /dev/null -l /dev/null --pid=t-pid-1651
+ kill -0 1896
+ sleep 0.3
Service root has been started.
+ test -f t-pid-1651
++ cat t-pid-1651
+ kill -0 1896
+ herd -s t-socket-1651 status root
Started:
 + root
+ herd -s t-socket-1651 stop root
++ cat t-pid-1651
+ kill 1896
+ exit 1
+ rm -f t-socket-1651
+ test -f t-pid-1651
++ cat t-pid-1651
+ kill 1896
+ rm -f t-pid-1651
FAIL tests/no-home.sh (exit status: 1)


error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("check" "-j" "24" "GUILE_AUTO_COMPILE=0") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `check' failed after 15.3 seconds
command "make" "check" "-j" "24" "GUILE_AUTO_COMPILE=0" failed with status 2
--8<---------------cut here---------------end--------------->8---

Perhaps due to high load, as I can't seem to reproduce when building
Shepherd alone.

Thanks,

Maxim




Acknowledgement sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#52779; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 13 Jan 2022 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.